Debian Bug report logs - #67289
mp3blaster: plays static instead of music on PowerPC

version graph

Package: mp3blaster; Maintainer for mp3blaster is Jochen Friedrich <jochen@scram.de>; Source for mp3blaster is src:mp3blaster.

Reported by: "C.M. Connelly" <c@eskimo.com>

Date: Sun, 16 Jul 2000 03:18:00 UTC

Severity: important

Found in version 2-0b16-1.1

Done: Carlos Laviola <claviola@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joseph Carter <knghtbrd@debian.org>:
Bug#67289; Package mp3blaster. Full text and rfc822 format available.

Acknowledgement sent to "C.M. Connelly" <c@eskimo.com>:
New Bug report received and forwarded. Copy sent to Joseph Carter <knghtbrd@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "C.M. Connelly" <c@eskimo.com>
To: submit@bugs.debian.org
Cc: "C.M. Connelly" <c@eskimo.com>
Subject: mp3blaster: plays static instead of music on PowerPC
Date: Sat, 15 Jul 2000 20:12:24 -0700

Package: mp3blaster
Version: 2-0b16-1.1
Severity: important


mp3blaster plays static when you try to play an MP3 file.  It's
probably an endian problem, as similar effects can be heard with
WAV files recorded by some PC sound-recording applications.

The same MP3 files play fine with mpg123 (which seems to be the
*only* MP3 player that actually works on PowerPC).

System information
==================

Debian Release: potato
Architecture: powerpc
Kernel: Linux diziet 2.2.17pre10-gadfium #3 Tue Jul 4 01:13:39 PDT 2000 ppc



Versions of packages mp3blaster depends on:

libc6 (>= 2.1.2), libncurses5, libstdc++2.10
ii  libc6          2.1.3-10       GNU C Library: Shared libraries and Timezone
ii  libncurses5    5.0-6          Shared libraries for terminal handling
ii  libstdc++2.10  2.95.2-13      The GNU stdc++ library




Severity set to `normal'. Request was from Anthony Towns <aj@azure.humbug.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal'. Request was from Anthony Towns <aj@azure.humbug.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal'. Request was from Anthony Towns <aj@azure.humbug.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal'. Request was from Anthony Towns <aj@azure.humbug.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `important'. Request was from "C.M. Connelly" <c@eskimo.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Joseph Carter <knghtbrd@debian.org>:
Bug#67289; Package mp3blaster. Full text and rfc822 format available.

Acknowledgement sent to Carlos Laviola <claviola@ajato.com.br>:
Extra info received and forwarded to list. Copy sent to Joseph Carter <knghtbrd@debian.org>. Full text and rfc822 format available.

Message #20 received at 67289@bugs.debian.org (full text, mbox):

From: Carlos Laviola <claviola@ajato.com.br>
To: 67289@bugs.debian.org
Subject: Still happens?
Date: Sat, 19 May 2001 00:03:46 -0300
Can you try to reproduce this bug with mp3blaster's newest version, please?
All I have is a x86 machine.

Thanks,
Carlos.

-- 
 _ _  _| _  _  | _   . _ | _  carlos.debian.net   Debian-BR Project
(_(_|| |(_)_)  |(_|\/|(_)|(_| uin#: 981913 (icq)  debian-br.sf.net

Linux: the choice of a GNU generation - Registered Linux User #103594
The way of the world is to praise dead saints and prosecute live     
ones. -- Nathaniel Howe                                            



Information forwarded to debian-bugs-dist@lists.debian.org, Carlos Laviola <claviola@debian.org>:
Bug#67289; Package mp3blaster. Full text and rfc822 format available.

Acknowledgement sent to Colin Walters <walters@cis.ohio-state.edu>:
Extra info received and forwarded to list. Copy sent to Carlos Laviola <claviola@debian.org>. Full text and rfc822 format available.

Message #25 received at 67289@bugs.debian.org (full text, mbox):

From: Colin Walters <walters@cis.ohio-state.edu>
To: 67289@bugs.debian.org
Cc: mp3blaster@packages.debian.org
Subject: segfault on ppc
Date: Sat, 14 Jul 2001 13:52:20 -0400
mp3blaster segfaults on my machine when I try to play a .mp3.  Here's
a backtrace:

(gdb) info program
        Using the running image of child Thread 1026 (LWP 4707).
Program stopped at 0x100187d8.
It stopped with signal SIGSEGV, Segmentation fault.
(gdb) bt
#0  0x100187d8 in Mpegtoraw::layer3getscalefactors(int, int) ()
#1  0x1001c67c in Mpegtoraw::extractlayer3() ()
#2  0x100162c8 in Mpegtoraw::run(int) ()
#3  0x10012360 in Mpegfileplayer::initialize(void*) ()
#4  0x10006bac in start_song(short) ()
#5  0x10006330 in play_list(void*) ()
#6  0x6fef1310 in pthread_start_thread () from /lib/libpthread.so.0
#7  0x6fef1358 in pthread_allocate_stack () from /lib/libpthread.so.0
#8  0x6fce2690 in clone () from /lib/libc.so.6
(gdb) info threads
  4 Thread 2051 (LWP 4708)  0x6fcb8394 in nanosleep () from /lib/libc.so.6
* 3 Thread 1026 (LWP 4707)  0x100187d8 in Mpegtoraw::layer3getscalefactors(int, int) ()
  2 Thread 2049 (LWP 4706)  0x6fce2850 in umount2 () from /lib/libc.so.6
  1 Thread 1024 (LWP 4705)  0x6fcb8394 in nanosleep () from /lib/libc.so.6
(gdb) 



Acknowledgement sent to Carlos Laviola <claviola@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #28 received at 67289-quiet@bugs.debian.org (full text, mbox):

From: Carlos Laviola <claviola@debian.org>
To: Bram Avontuur <bram@avontuur.org>
Cc: 67289-quiet@bugs.debian.org, mp3blaster-devel@stack.nl
Subject: [walters@cis.ohio-state.edu: segfault on ppc]
Date: Sat, 14 Jul 2001 15:11:37 -0300
Hi there, Bram and people at the list,

I asked Colin to confirm bug #67289[1] for me, and he said the bug is still
there. There's also a bug on Debian's Bug Tracking System about a
similar problem (on Sparc, though) that I'm trying to deal with too. I
hope this gdb backtrace helps you fix the problem.

It seems like this is indeed a big-endian problem, like you put on the
download page (26/1/2001).

Thank you,
Carlos.

1. http://bugs.debian.org/67289

----- Forwarded message from Colin Walters <walters@cis.ohio-state.edu> -----

To: 67289@bugs.debian.org
Cc: mp3blaster@packages.debian.org
Subject: segfault on ppc
X-Attribution: Colin
Organization: The Ohio State University Dept. of Computer and Info. Science
From: Colin Walters <walters@cis.ohio-state.edu>

mp3blaster segfaults on my machine when I try to play a .mp3.  Here's
a backtrace:

(gdb) info program
        Using the running image of child Thread 1026 (LWP 4707).
Program stopped at 0x100187d8.
It stopped with signal SIGSEGV, Segmentation fault.
(gdb) bt
#0  0x100187d8 in Mpegtoraw::layer3getscalefactors(int, int) ()
#1  0x1001c67c in Mpegtoraw::extractlayer3() ()
#2  0x100162c8 in Mpegtoraw::run(int) ()
#3  0x10012360 in Mpegfileplayer::initialize(void*) ()
#4  0x10006bac in start_song(short) ()
#5  0x10006330 in play_list(void*) ()
#6  0x6fef1310 in pthread_start_thread () from /lib/libpthread.so.0
#7  0x6fef1358 in pthread_allocate_stack () from /lib/libpthread.so.0
#8  0x6fce2690 in clone () from /lib/libc.so.6
(gdb) info threads
  4 Thread 2051 (LWP 4708)  0x6fcb8394 in nanosleep () from /lib/libc.so.6
* 3 Thread 1026 (LWP 4707)  0x100187d8 in Mpegtoraw::layer3getscalefactors(int, int) ()
  2 Thread 2049 (LWP 4706)  0x6fce2850 in umount2 () from /lib/libc.so.6
  1 Thread 1024 (LWP 4705)  0x6fcb8394 in nanosleep () from /lib/libc.so.6
(gdb) 


----- End forwarded message -----

-- 
 _ _  _| _  _  | _   . _ | _  carlos.debian.net   Debian-BR Project
(_(_|| |(_)_)  |(_|\/|(_)|(_| uin#: 981913 (icq)  debian-br.sf.net

Linux: the choice of a GNU generation - Registered Linux User #103594



Acknowledgement sent to Bram <bram@avontuur.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #31 received at 67289-quiet@bugs.debian.org (full text, mbox):

From: Bram <bram@avontuur.org>
To: Carlos Laviola <claviola@debian.org>
Cc: Bram Avontuur <bram@avontuur.org>, 67289-quiet@bugs.debian.org, mp3blaster-devel@stack.nl, walters@cis.ohio-state.edu
Subject: Re: [Mp3blaster-devel] [walters@cis.ohio-state.edu: segfault on ppc]
Date: Sun, 22 Jul 2001 21:38:20 +0200
Carlos Laviola wrote:
> Hi there, Bram and people at the list,
> 
> I asked Colin to confirm bug #67289[1] for me, and he said the bug is still
> there. There's also a bug on Debian's Bug Tracking System about a
> similar problem (on Sparc, though) that I'm trying to deal with too. I
> hope this gdb backtrace helps you fix the problem.
> 
Hi Carlos, Colin & others,

The backtrace itself doesn't reveal much. I need access to a big-endian
machine running *BSD/Linux to solve the problem; that, or someone with such
a machine who's willing to track the bug.

Kind regards,
Bram



Acknowledgement sent to Martijn van Buul <pino@dohd.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #34 received at 67289-quiet@bugs.debian.org (full text, mbox):

From: Martijn van Buul <pino@dohd.org>
To: Carlos Laviola <claviola@debian.org>
Cc: Bram Avontuur <bram@avontuur.org>, 67289-quiet@bugs.debian.org, mp3blaster-devel@stack.nl
Subject: Re: [Mp3blaster-devel] [walters@cis.ohio-state.edu: segfault on ppc]
Date: Sat, 4 Aug 2001 23:09:24 +0200
Carlos Laviola wrote:
> Hi there, Bram and people at the list,

Hello Carlos, Bram and the others :)

> I asked Colin to confirm bug #67289[1] for me, and he said the bug is still
> there. There's also a bug on Debian's Bug Tracking System about a
> similar problem (on Sparc, though) that I'm trying to deal with too. I
> hope this gdb backtrace helps you fix the problem.

Unlike Bram told you earlier, it actually helped:) 

I'm glad to 'report' that I know what's going wrong: The byte-order check
has somehow dissappeared from the configure script, leading to very
nasty bufferoverruns. 

Carlos: In a pinch, this can be fixed by adding 

#define WORDS_BIGENDIAN

to "config.h". Bear in mind that config.h gets overwritten every time
configure is runned.

Bram: You'd better get that check back.

There is another bug, regarding non-blocked I/O. I don't know *why* it
happens (it seems acceptible, allthough a bit strange, to me), but
I know how to fix it:

In mpegsound/rawplayer.cc:

        if((audiohandle=open(filename,O_WRONLY|O_NDELAY,0))==-1)
                return NULL;

        if((flag=fcntl(audiohandle,F_GETFL,0))<0)
                return NULL;
        flag&=~O_NDELAY;

#ifdef AUDIO_NONBLOCKING
        flag|=O_NDELAY; //don't block!
        debug("Using non-blocking audio writes. This might hurt the sound.\n");
#endif

        if(fcntl(audiohandle,F_SETFL,flag)<0)
                return NULL;

Somehow, although AUDIO_NONBLOCKING is not defined, the audio device is
still opened nonblocking. I suggest that you remove the O_NDELAY flag
from the open - the net result *should* be the same anyway. Apperently,
O_NDELAY cannot be cleared afterwards on some systems.

Performance is far from optimal, though. On my G3/233, switching consoles
(on an otherwise idle system) is enough to generate a split second of silence.
Running something like ls -la on a big directory is lethal. I know this can be
greatly improved (my own patched version of mp3blaster doesn't do this); I'll
look after it (It probably boils down to undoing some damage a certain mr.
Avontuur did to my precious 'newthreads' buffering - it can't be used with
pthreads anymore. My own version uses pthreads with 'newthreads', and that
works like a charm!)

One final word: There's a bug in splay_common.cc. splay_devicename is
initialized as NULL, but the first thing splay does is running a strcmp
on that pointer - kind of SIGSEGVs. Using a more appropriate default string
solves that :)

-- 
    Martijn van Buul -  Pino@dohd.org - http://www.stack.nl/~martijnb/
	 Geek code: G--  - Visit OuterSpace: mud.stack.nl 3333
   Kees J. Bot: The sum of CPU power and user brain power is a constant.



Acknowledgement sent to Bram <bram@avontuur.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #37 received at 67289-quiet@bugs.debian.org (full text, mbox):

From: Bram <bram@avontuur.org>
To: Martijn van Buul <pino@dohd.org>
Cc: Carlos Laviola <claviola@debian.org>, Bram Avontuur <bram@avontuur.org>, 67289-quiet@bugs.debian.org, mp3blaster-devel@stack.nl
Subject: Re: [Mp3blaster-devel] [walters@cis.ohio-state.edu: segfault on ppc]
Date: Fri, 31 Aug 2001 00:17:57 +0200
Martijn van Buul wrote:

Now that I've properly moved to a new house, some words from me:

> Unlike Bram told you earlier, it actually helped:) 
> 
Oh. Whoops :)

> #define WORDS_BIGENDIAN
> 
> to "config.h". Bear in mind that config.h gets overwritten every time
> configure is runned.
> 
> Bram: You'd better get that check back.
> 
Check.

> There is another bug, regarding non-blocked I/O. I don't know *why* it
> happens (it seems acceptible, allthough a bit strange, to me), but
> I know how to fix it:
> 
[non-blocking open 'feature']

applied.

> Performance is far from optimal, though. On my G3/233, switching consoles
> (on an otherwise idle system) is enough to generate a split second of silence.
> Running something like ls -la on a big directory is lethal. I know this can be
> greatly improved (my own patched version of mp3blaster doesn't do this); I'll
> look after it (It probably boils down to undoing some damage a certain mr.
> Avontuur did to my precious 'newthreads' buffering - it can't be used with
> pthreads anymore. My own version uses pthreads with 'newthreads', and that
> works like a charm!)
> 
Eh... well it's not that tough to replace pth with pthreads if you desire
so. Toggleable of course.

> One final word: There's a bug in splay_common.cc. splay_devicename is
> initialized as NULL, but the first thing splay does is running a strcmp
> on that pointer - kind of SIGSEGVs. Using a more appropriate default string
> solves that :)
> 
Fixed as well. CVS is your friend!

Bram
-- 
bram@avontuur.org - http://www.stack.nl/%7Ebrama/

"The future will be better tomorrow" - George W. Bush Jr.



Information forwarded to debian-bugs-dist@lists.debian.org, Carlos Laviola <claviola@debian.org>:
Bug#67289; Package mp3blaster. Full text and rfc822 format available.

Acknowledgement sent to Colin Walters <walters@debian.org>:
Extra info received and forwarded to list. Copy sent to Carlos Laviola <claviola@debian.org>. Full text and rfc822 format available.

Message #42 received at 67289@bugs.debian.org (full text, mbox):

From: Colin Walters <walters@debian.org>
To: debian-powerpc@lists.debian.org
Cc: 67289@bugs.debian.org
Subject: Re: Sound Support on Beige G3 Mac
Date: Mon, 24 Sep 2001 17:44:14 -0400
[ I'm redirecting this to the list ]

Mutwin Kraus <mutle@exclam.de> writes:

> Is there any way to get MP3Blaster to play anaything but noises? Esd
> works with nice sound, but MP3Blaster not...

This is a known bug, #67289.  From looking at the bug logs, it appears
the author says this is fixed in the CVS version of mp3blaster.

Carlos, any word on the status of this?  Has that version been
released?

For me, mp3blaster (version 1:2pre3.0p8-1) just segfaults when I try
to run it.





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#67289; Package mp3blaster. Full text and rfc822 format available.

Acknowledgement sent to Carlos Laviola <claviola@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #47 received at 67289@bugs.debian.org (full text, mbox):

From: Carlos Laviola <claviola@debian.org>
To: Colin Walters <walters@debian.org>, 67289@bugs.debian.org
Cc: debian-powerpc@lists.debian.org
Subject: Re: Bug#67289: Sound Support on Beige G3 Mac
Date: Wed, 26 Sep 2001 02:25:05 -0300
On Mon, Sep 24, 2001 at 05:44:14PM -0400, Colin Walters wrote:
> [ I'm redirecting this to the list ]
> 
> Mutwin Kraus <mutle@exclam.de> writes:
> 
> > Is there any way to get MP3Blaster to play anaything but noises? Esd
> > works with nice sound, but MP3Blaster not...
> 
> This is a known bug, #67289.  From looking at the bug logs, it appears
> the author says this is fixed in the CVS version of mp3blaster.
> 
> Carlos, any word on the status of this?  Has that version been
> released?

No new versions yet, and I don't have the slightest idea of where it's
CVS is at. I'm trying to get that information, though.

> For me, mp3blaster (version 1:2pre3.0p8-1) just segfaults when I try
> to run it.

Yeah, known & old bug. :-/

-- 
 _ _  _| _  _  | _   . _ | _  http://laviola.org  Debian-BR Project
(_(_|| |(_)_)  |(_|\/|(_)|(_| uin#: 981913 (icq)  debian-br.sf.net

Linux: the choice of a GNU generation - Registered Linux User #103594



Information forwarded to debian-bugs-dist@lists.debian.org, Carlos Laviola <claviola@debian.org>:
Bug#67289; Package mp3blaster. Full text and rfc822 format available.

Acknowledgement sent to Colin Walters <walters@debian.org>:
Extra info received and forwarded to list. Copy sent to Carlos Laviola <claviola@debian.org>. Full text and rfc822 format available.

Message #52 received at 67289@bugs.debian.org (full text, mbox):

From: Colin Walters <walters@debian.org>
To: 67289@bugs.debian.org
Subject: works now
Date: Mon, 15 Oct 2001 00:35:40 -0400
This bug appears to be fixed in the latest mp3blaster, 1:3.0-1.



Reply sent to Carlos Laviola <claviola@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "C.M. Connelly" <c@eskimo.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #57 received at 67289-done@bugs.debian.org (full text, mbox):

From: Carlos Laviola <claviola@debian.org>
To: 67289-done@bugs.debian.org
Cc: 81730@bugs.debian.org, aph@debian.org
Subject: [walters@debian.org: Bug#67289: works now]
Date: Mon, 15 Oct 2001 04:26:42 -0200
I'm closing bug 67289 now, since it seems to work on PowerPC now.
Adam, can you also see if bug 81730 still fits?

----- Forwarded message from Colin Walters <walters@debian.org> -----

Subject: Bug#67289: works now
Original-Sender: walters@space-ghost.verbum.private
Resent-To: debian-bugs-dist@lists.debian.org
Resent-CC: Carlos Laviola <claviola@debian.org>
Resent-Date: Mon, 15 Oct 2001 04:48:02 GMT
X-Debian-PR-Message: report 67289
X-Debian-PR-Package: mp3blaster
X-Debian-PR-Keywords: 
From: Colin Walters <walters@debian.org>
To: 67289@bugs.debian.org
X-Attribution: Colin
Organization: The Debian Project

This bug appears to be fixed in the latest mp3blaster, 1:3.0-1.



----- End forwarded message -----

Thanks,
Carlos.

-- 
 _ _  _| _  _  | _   . _ | _   Who controls the past, controls the future.
(_(_|| |(_)_)  |(_|\/|(_)|(_|  Who controls the present, controls the past.
http://laviola.org icq #981913 -- George Orwell, "1984"



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#67289; Package mp3blaster. Full text and rfc822 format available.

Acknowledgement sent to Carlos Laviola <claviola@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #62 received at 67289@bugs.debian.org (full text, mbox):

From: Carlos Laviola <claviola@debian.org>
To: Colin Walters <walters@debian.org>, 67289@bugs.debian.org
Cc: debian-powerpc@lists.debian.org
Subject: Re: Bug#67289: Sound Support on Beige G3 Mac
Date: Sun, 28 Oct 2001 20:54:13 -0200
On Mon, Sep 24, 2001 at 05:44:14PM -0400, Colin Walters wrote:
> [ I'm redirecting this to the list ]
> 
> Mutwin Kraus <mutle@exclam.de> writes:
> 
> > Is there any way to get MP3Blaster to play anaything but noises? Esd
> > works with nice sound, but MP3Blaster not...
> 
> This is a known bug, #67289.  From looking at the bug logs, it appears
> the author says this is fixed in the CVS version of mp3blaster.
> 
> Carlos, any word on the status of this?  Has that version been
> released?

This has been fixed in version 3.0, released a while ago. Bug #67289
seems to have been fixed.

> For me, mp3blaster (version 1:2pre3.0p8-1) just segfaults when I try
> to run it.

-- 
 _ _  _| _  _  | _   . _ | _   Who controls the past, controls the future.
(_(_|| |(_)_)  |(_|\/|(_)|(_|  Who controls the present, controls the past.
http://laviola.org icq #981913 -- George Orwell, "1984"



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:36:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.